<?php 
session_start ();

require_once($_SERVER['DOCUMENT_ROOT'] . "/sys/access.php");

if(!$access->CheckLogin()){
  $access->RedirectToURL("/login/login.php");
  exit;
}

define("PUBLIC_ACCESS", 1);
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <meta http-equiv="Content-Language" content="en-us">
  <title>Office Timesheet</title>
  <meta charset="utf-8">

  <link rel="stylesheet" href="/ext/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="/ext/bootstrap/bootstrap-theme.min.css">
  <link rel="stylesheet" href="/site/css/stickythead.css">
  <link rel="stylesheet" href="/site/css/bootstrap.css">
  <link rel="stylesheet" href="/site/css/multiselect.css">
  <link rel="stylesheet" href="/site/css/slider.css">
  <link rel="stylesheet" href="/site/css/style.css">

  <script src="/ext/jquery/jquery-3.1.1.min.js"></script>
  <script src="/ext/bootstrap/bootstrap.min.js"></script>
  <script src="/ext/jquery/jquery.stickytableheaders.min.js"></script>
  <script src="/site/js/main.js"></script>

<style>

textarea {
  width: 100%;
}

body {
  font-size:16px;
  font-weight:500;
  color:#000;
}
  
label {
  margin-bottom:0px;
}

.table>td { 
  vertical-align:bottom;    
}

select, input {
 height:28px;
 width:100%;
}

input[type=checkbox] {
  height:20px;
  width:20px;
  vertical-align:middle;
}

.anchor {
  display:block;
  padding-top:100px;
  margin-top:-100px;
}

.punch {
  display: inline-block;
  padding: 6px 0px;
  font-size: 16px;
  width:70px;
  cursor: pointer;
  text-align: center;
  vertical-align:50%;
  text-decoration: none;
  outline: none;
  color: #000;
  border: none;
  border-radius: 5px;
  box-shadow: 0 4px #999;
}

.punch-start {
  background-color: #4CAF50;
}

.punch-stop {
  background-color: red;
}

.punch-start:hover {background-color:#3e8e41}

.punch-stop:hover {background-color:crimson}

.punch-start:active {
  background-color:#3e8e41;
  box-shadow: 0 2px #666;
  transform: translateY(2px);
}

.punch-stop:active {
  background-color:crimson;
  box-shadow: 0 2px #666;
  transform: translateY(2px);
}

#labselOfDuration, #labselOfBreakDur {
  vertical-align:45%;
}

</style>


</head>
<body>

<?php 

// Die check contstant for indirectly accessed php  
define("PUBLIC_ACCESS", 1);

date_default_timezone_set("Canada/Eastern");

// Location of class definitions
$docRoot = $_SERVER['DOCUMENT_ROOT'];
$toolkit = "$docRoot/toolkit";

// Class object definitions for the UI Controls used
require_once ("$toolkit/clickcheckbox.php");
require_once ("$toolkit/inputtext.php");
require_once ("$toolkit/livesearch.php");       
require_once ("$toolkit/notetext.php");
require_once ("$toolkit/formdatahandler.php");
require_once ("$toolkit/putbutton.php");
require_once ("$toolkit/confirmmodal.php");
require_once ("$toolkit/selectdate.php");       
require_once ("$toolkit/timekeeper.php");    
require_once ("$toolkit/selectoption.php");
require_once ("$toolkit/summarytable.php");


// Class definitions for the Controls instantiator and Menu generator 
require_once ("$docRoot/sys/init.php");
require_once ("$docRoot/sys/menu.php");

// Model and view class object definitions for the module
require_once ("$docRoot/officetimesheet/model.php");
require_once ("$docRoot/officetimesheet/view.php");

if (isset($_SESSION['login'])) 
  $lo_id = $_SESSION['login'];
else
  $lo_id = 0;


print_r ("lo:$lo_id");

// Instantiate the model and view
$officeTimesheet = new modOfficeTimesheet($lo_id);
$officeTimesheetView = new modOfficeTimesheetView($officeTimesheet);

// Insert html layout and javascript
echo $officeTimesheetView->output();

?>
</body>
</html>

