<?php

defined('PUBLIC_ACCESS') or die('Restricted Access');
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modOfficeTimesheet  { //One variable for each select list.
  private $workday_id;
  private $date;
  private $parcel_name;
  private $project_id;
  private $project_name;
  private $team_role;
  private $start_time;
  private $end_time;
  private $duration;
  private $office_timesheet;   //Variable to assign summary table to?
  private $projectworkdaypersonnel_id;   //Variable to hold db search id.
  private $lo_id;

  private $today;
  private $fraction_list;
  private $minute_list;
  private $start_range;
  private $duration_range;
  private $starttime;
  
  public function __construct($lo_id) {  //Uses hard-coded projectworkdaypersonnel_id for testing.

    if (isset($lo_id))
      $this->lo_id = $lo_id;
    else
      $this->lo_id = 0;

    $this->fraction_list  = "00,25,50,75";
    $this->minute_list    = "00,15,30,45";
    $this->start_range    = "00,24";
    $this->duration_range = "00,09";
    $this->starttime      = "08:30";
    $this->endtime        = "16:30";
    $this->today          = date("Y-m-d");
    $hours = date("H");
    $minutes = date("i");
    $m = ((($minutes + 7.5)/15 | 0) * 15) % 60;
    $h = (((($minutes/105) + .5) | 0) + $hours) % 24;
    $now = sprintf("%02d", $h) . ':' . sprintf("%02d", $m);

    $dal = new DAL();

    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.commit, CF.action, " .
           "CF.sequent, CF.sequent_frm, CF.sequent_upd, CF.sequent_ent, CF.sequent_chk " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id " .
           "AND LAB.property IN ('label', 'noLabel') " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmOfficeTimesheet') ";
    $this->form_data = $dal->query($sql);    

    $sql = "SELECT PTR.id, PR.name AS Project, PR.refno AS RefNo, " .
           "PA.name AS Parcel, TE.name AS Role, PTR.moduration AS Duration, " .
           "CASE WHEN PTR.billable = 1 THEN 'Yes' ELSE 'No' END AS Billable, " .
           "PTR.note AS Note " .
           "FROM workday WO, projectworkday PW, projectworkdaypersonnel PWP, " .
           "parcel PA, project PR, projectteamrole PTR, " .
           "teamrole TE, officerole OL " . 
           "WHERE WO.date = '$this->today' AND PW.workday_id = WO.id " .
           "AND PW.login_id = $this->lo_id AND PWP.projectworkday_id = PW.id " .
           "AND PTR.projectworkdaypersonnel_id = PWP.id " . 
           "AND TE.id = PTR.teamrole_id AND OL.projecteamrole_id = PTR.id " .
           "AND PA.id = PW.parcel_id AND PR.id = PA.project_id " .
           "ORDER BY OL.starttime DESC ";
    $this->timesheet = $dal->query($sql);
 
    if (null == $this->timesheet) {
      $default = array('1' => array("pw_id"=>"0", "Project"=>"", "Ref No"=>"",
                   "Parcel"=>"", "Role"=>"", "Duration"=>"", "Billable"=>"",
                   "Note"=>""));
      $this->timesheet = $this->toObject ($default);
    }
    
    $sql = "SELECT " .
           "CONCAT (PE.surname, ', ', PE.firstname, ' ', PE.middlename) as name " .
           "FROM login LO, personnel PE " .
           "WHERE LO.id = $this->lo_id AND PE.id = LO.personnel_id " .
           "LIMIT 1 ";
    $this->time_header = $dal->query($sql)->name;

    $default = array("id"=>0,
                     "sumid"=>$this->today, "sumid_text"=>$this->today,
                     "absent"=>0,           "absent_text"=>"No",
                     "project_id"=>0,       "project_id_text"=>"", 
                     "parcel_id"=>0,        "parcel_id_text"=>"",
                     "teamrole_id"=>0,      "teamrole_id_text"=>"",
                     "starttime"=>"00:00",   "starttime_text"=>"00:00", 
                     "stoptime"=>"00:00",   "stoptime_text"=>"00:00",
                     "breakdur"=>"00.00",   "breakdur_text"=>"00.00", 
                     "duration"=>"00.00",   "duration_text"=>"00.00", 
                     "billable"=>1  ,       "billable_text"=>"Yes", 
                     "rationale"=>"",       "rationale_text"=>"", 
                     "note"=>"",            "note_text"=>"" );
    $this->form_def0 = $this->toObject ($default);

    $absent  = array("id"=>0,
                     "sumid"=>$this->today, "sumid_text"=>$this->today,
                     "absent"=>1,           "absent_text"=>"Yes",
                     "project_id"=>7,       "project_id_text"=>"Administrative",
                     "parcel_id"=>4,        "parcel_id_text"=>"Parcel",
                     "teamrole_id"=>7,      "teamrole_id_text"=>"Absent",
                     "starttime"=>"08:30",  "starttime_text"=>"08:30", 
                     "stoptime"=>"16:30",   "stoptime_text"=>"16:30",
                     "breakdur"=>"00.00",   "breakdur_text"=>"00.00", 
                     "duration"=>"08.00",   "duration_text"=>"08.00", 
                     "billable"=>0  ,       "billable_text"=>"No", 
                     "rationale"=>"",       "rationale_text"=>"", 
                     "note"=>"",            "note_text"=>"" );
    $this->form_def1 = $this->toObject ($absent);

    $sql = "SELECT id, name AS text FROM teamrole"; 
    $this->team_roles = $dal->query($sql);
  }
  
  public function get($prop) {
    return $this->$prop;
  }

  private function toObject($array) {
    $object = new stdClass();
    foreach ($array as $key => $value) {
      if (is_array($value)) {
        $value = $this->toObject($value);
      }
      $object->$key = $value;
    }
    return $object;
  }


}  

?>
