<?php
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modProjectDefinition {

  public function __construct() {
    $dal = new DAL();

    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn, LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.action, CF.commit, " .
           "CF.sequent, CF.sequent_frm, CF.sequent_upd, CF.sequent_ent, CF.sequent_chk " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id " .
           "AND LAB.property IN ('label', 'noLabel') " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmProjectDefinition') ";
    $this->pdform_data = $dal->query($sql);  

    $default = array('1' => array("id"=>0, "RefNo"=>"", "Project Name"=>"",
                   "PIF"=>"", "Stage"=>"", "Contact"=>"",
                   "Organization"=>"", "Department"=>""));
    $this->project_sum = $this->toObject ($default);

    $sql = "SELECT OC.id, CONCAT(CN.firstname, ' ', CN.surname) AS text " .
           "FROM organizationcontact OC, contact CN " .
           "WHERE OC.approver = 1 AND OC.contact_id = CN.id " ;
    $this->approvers = $dal->query($sql);

    $sql = "SELECT id, name AS text FROM organization WHERE active = 1 ";
    $this->organizations = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM contactype WHERE active = 1 ";
    $this->contact_types = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM title ";
    $this->titles = $dal->query($sql);

    $sql = "SELECT 0 AS id, 'Status' AS text " .
           "UNION ALL " .
           "SELECT id, descr AS text FROM status WHERE active = 1 ";
    $this->job_statuses = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM addresstype WHERE active = 1 ";
    $this->addr_types = $dal->query($sql);

    $sql = "SELECT abbreviation AS id, abbreviation AS text " .
           "FROM streetype WHERE active = 1 ";
    $this->street_types = $dal->query($sql);

    $sql = "SELECT 0 AS id, 'Direction' AS text " .
           "UNION ALL " .
           "SELECT abbreviation AS id, abbreviation AS text " .
           "FROM cardinal WHERE active = 1 ";
    $this->street_dirs = $dal->query($sql);

    $sql = "SELECT id, abbreviation AS text FROM cardinal WHERE active = 1 ";
    $this->street_directions = $dal->query($sql);

    $sql = "SELECT descr AS id, descr AS text FROM province ";
    $this->provinces = $dal->query($sql);

    $sql = "SELECT 0 AS id, 'Type' AS text " .
           "UNION ALL " .
           "SELECT id, descr AS text FROM telnotype WHERE active = 1 " .
           "UNION ALL " .
           "SELECT -1 AS id, 'Delete' AS text ";
    $this->telno_types = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM department WHERE active = 1 ";
    $this->departments = $dal->query($sql);

    $sql = "SELECT id, descr AS text FROM stage WHERE active = 1 ";
    $this->stages = $dal->query($sql);

    $sql = "SELECT licence_no AS id, licence_no AS text " .
           "FROM licence WHERE active = 1 ";
    $this->licences = $dal->query($sql);

    $default = array("id"=>0,  "sumid"=>0,
      "name"=>"",              "name _text"=>"",
      "patpr"=>"",              "patpr_test"=>"",
      "site_name"=>"",         "site_name_text"=>"",
      "patsn"=>0,              "patsn_test"=>"",
      "descr"=>"",             "descr_text"=>"",
      "refno"=>"",             "refno_text"=>"",
      "stage_id"=>0,           "stage_id_text"=>"",
      "development_refno"=>"", "development_refno_text"=>"", 
      "approver_id"=>0,        "approver_text"=>"",
      "department_id"=>0,      "department_id_text"=>"",
      "licence_no"=>0,         "licence_no_text"=>"",
      "note"=>"",              "note_text"=>"");
    $this->pdform_defs = $this->toObject ($default);
  }
  
  public function get($prop) {
    return $this->$prop;
  }
  
  private function toObject($array) {
    $object = new stdClass();
    foreach ($array as $key => $value) {
      if (is_array($value)) {
        $value = $this->toObject($value);
      }
      $object->$key = $value;
    }
    return $object;
  }
 
  
}

?>