<?php
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modProjectWorkday {

  private $pw_id;
  private $pa_id;
  private $today;
  private $start_time;
  private $end_time;
  private $break_duration;
  private $parcel_id;
  private $parcel_name;
  private $project_id;
  private $project_name;
  private $workday_id;
  private $date;
  private $status;
  private $hour_list;
  private $min_list;
  private $workdays;
  private $form_defs;

  public function __construct($pw_id, $pr_id) {
      
    $this->pw_id = isset($pw_id) ? $pw_id : 0;  
    $this->pr_id = isset($pr_id) ? $pr_id : 0;  

    $today = date("Y-m-d");
    $today_text = date("D M j, Y");
    $this->min_list  = "00,15,30,45";
    $this->frac_list  = "00,25,50,75";
    $start_time      = "08:30";
    $end_time        = "17:00";
    $break_dur       = "00.50";

    $dal = new DAL();
    
    $sql = "SELECT CI.instance AS field, " .
           "COL.value AS dbcolumn,  LAB.value AS label, " .
           "0 AS newvalue, 0 AS dbvalue, '' AS newtext, '' AS dbtext, " .
           "CF.mandatory, CF.uniquekey, CF.confirm, CF.action, " .
           "CF.sequent, CF.sequent_frm, CF.sequent_upd, CF.sequent_ent, CF.sequent_chk " .
           "FROM controlinstance CI, controlform CF, " .
           "controlentry COL, controlentry LAB " . 
           "WHERE LAB.controlinstance_id = CI.id AND LAB.property = 'label' " .
           "AND COL.controlinstance_id = CI.id AND COL.property = 'column' " .
           "AND CF.controlinstance_id = CI.id AND CF.formhandler_id = " .
           "(SELECT FH.id FROM controlinstance FH " .
           "WHERE FH.instance = 'frmFieldProject') ";
    $this->form_data = $dal->query($sql);  
    
    $sql = "SELECT PW.id, PR.name AS Project, PR.refno AS 'Ref No', " .
           "PA.name AS Parcel, LO.username as Login, WO.textdate AS Workday, " .
           "CONCAT (FW.start_time, '-', FW.end_time) AS Time "  .
           "FROM projectworkday PW, fieldworkday FW, " .
           "workday WO, parcel PA, project PR, login LO " .
           "WHERE PR.id = $this->pr_id AND PA.project_id = PR.id " .
           "AND PW.parcel_id = PA.id AND FW.projectworkday_id = PW.id " .
           "AND WO.id = PW.workday_id AND LO.id = PW.login_id " .
           "ORDER BY WO.date DESC";
    $this->workdays = $dal->query($sql);

    if (count($this->workdays) == 0) {

      $default = array('1' => array("pw_id"=>"0", "Project"=>"", "Ref No"=>"",
                                    "Parcel"=>"", "Login"=>"", "Workday"=>"",
                                    "Time"=>""));
      $this->workdays = $this->toObject ($default);
    }

    $sql = "SELECT PA.id, PA.name as text " .
           "FROM parcel PA " .
           "WHERE PA.project_id  = " .
           "(SELECT PA.project_id " .
           "FROM projectworkday PW, parcel PA " .
           "WHERE PW.id = $this->pw_id AND PA.id = PW.parcel_id) " ;
    $this->parcelList = $dal->query($sql);
  
    $default = array("id"=>0,            "sumid"=>$this->pr_id,
              "project_id"=>0,           "project_id_text"=>"",
              "parcel_id"=>0,            "parcel_id_text"=>"",
              "date"=>$today,            "date_text"=>$today_text,
              "start_time"=>$start_time, "start_time_text"=>$start_time,
              "end_time"=>$end_time,     "end_time_text"=>$end_time,
              "break_dur"=>$break_dur,   "break_dur_text"=>$break_dur,
              "note"=>"",                "note_text"=>"");
    $this->form_defs = $this->toObject ($default);
  }
  
  public function get($prop) {
    return $this->$prop;
  }

  private function toObject($array) {
    $object = new stdClass();
    foreach ($array as $key => $value) {
      if (is_array($value)) {
        $value = $this->toObject($value);
      }
      $object->$key = $value;
    }
    return $object;
  }
  
}

?>
