 <?php 

class SelectOption  {
  private $scope;
  private $label;
  private $selectId;
  private $options;
  private $iterator;
  private $prompt;

  public function __construct($entry) {
    if (isset($entry)) {
      $this->scope  = $entry->scope;
      $this->selectId = $entry->selectId;
      $this->iterator = $entry->iterator;

      if (isset($entry->label))
        $this->label = "<label>$entry->label</label><br>";
      else
        $this->label = "";

      if (isset($entry->attribute))
        $this->attribute = "$entry->attribute";
      else
        $this->attribute = '';

      if (isset($entry->selectId))
        $this->selectId = $entry->selectId;
      else
        $this->selectId = 0;

      if (isset($entry->options))
        $this->options = $entry->options;
      else
        $this->options[] = NULL;
      $this->optCount = count($this->options);    
//$cnt = count($this->options);
//print_r ("$this->scope cnt:$cnt<br>");     

      if (isset($entry->prompt))
        $this->prompt = $entry->prompt;
      else
        $this->prompt = "Select";

    }
  }
  
  public function outputLayout() {
  
    $layout = "
    
  $this->label    
  <select id='$this->scope' class='$this->iterator' $this->attribute>
     ";

    if ($this->optCount > 0)
      $layout .= "
    <option value=0 selected>$this->prompt</option>
       ";
    
    
    foreach ($this->options as $item) {
      $value = $item->id;

      $text  = $item->text;
//print_r ("$this->scope text:$text<br>");     
 	  $attribute = "";	

      if ($item->id == $this->selectId || $this->optCount == 1)
        $attribute = " selected";

      $layout .= "
    <option value=" . $value . $attribute . " >" . $text . "</option>
      ";
    }
  
    $layout .= "
  </select>
	";
	return $layout;
  }	

  public function outputScript() {

    $script = "

var selectId$this->scope = $this->selectId; 

$(document).on('change', '#$this->scope', function (e) {
  send$this->scope ($(this).val(), $('#$this->scope option:selected').text());
});  

function set$this->scope (dbValue, dbText) {
  selectId$this->scope = dbValue;
  $('#$this->scope.$this->iterator option:selected').removeAttr('selected');;
//  $('#$this->scope.$this->iterator option:selected').prop('selected', false);
  $('#$this->scope.$this->iterator option[value='+dbValue+']').prop('selected',true);
}

multiFunction['set$this->scope'] = {
  set$this->scope:set$this->scope
};  

function send$this->scope (value, text) {
  var msgContent = [];
  msgContent.$this->scope = [value, text, 'formentry', '$this->scope', 
                             'new field value'];
  newValue$this->iterator (msgContent);
}

    
function com$this->scope (message) {
  var key = Object.keys(message);
//logMessage ('<td>' +  message[key][3] + '</td><td>$this->scope</td><td>' + key +  '</td><td>' + message[key][0] + '</td><td>' + message[key][2] + '</td><td>' + message[key][4] + '</td>');  

//alert ('$this->scope:' + key + ' ' + message[key][0]);
  if (key == 'optionsId') {
//    selectId$this->scope = 0;
    get$this->scope (message[key][0]);
  }
}  

multiFunction['com$this->scope'] = {
  com$this->scope:com$this->scope
};  

function gen$this->scope(options) {
  var layout='<option value=0>Select</option>';
  var optValue;
  var optText;
  var selected;

  var optLength = options.length;
  for (var i=0; i<optLength; i++) {
 
    selected = '';
    optValue = options[i].id;
    optText = options[i].text
// alert (optValue + ' ' + selectId$this->scope)
    if (optValue == selectId$this->scope || optLength == 1) {
      selected = ' selected';
      send$this->scope (optValue, optText);
    }
    layout += '<option value=' + optValue + selected + '>' + optText + '</option>';
  }
  selectId$this->scope = 0;
  return layout;
} 
	  
function get$this->scope (id) {

  if (id == 0) {
    document.getElementById('$this->scope').innerHTML = '';
  }

  else {
    var params = 'selectid=' + id + '&' + 'parentid=$this->parentId';

    var xhr = new XMLHttpRequest();
    xhr.open('POST', 'ajax/get$this->scope.php', true);
    xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    xhr.onreadystatechange = function() {//Call a function when the state changes.
    
      if (xhr.readyState == 4 && xhr.status == 200) {
        var response = JSON.parse(xhr.responseText)
        document.getElementById('$this->scope').innerHTML = gen$this->scope(response);
      }
    }  
    xhr.send(params);
  }
}

    "; 
    return $script;
  }
}

?>